Tonyu.klass.define({
  fullName: 'user.Ear',
  shortName: 'Ear',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Ear_main() {
        "use strict";
        var _this=this;
        var _it_3;
        
        _this.lr=(_this.p-(Tonyu.globals.$pat_nekoear+1));
        while (true) {
          Tonyu.checkLoop();
          if (_this.shotting) {
            _this.shotting--;
            _this.y-=10;
            _this.x-=(_this.lr?- 6:6);
            if (! _this.shotting) {
              _this.reting=true;
            }
            
          } else {
            if (_this.reting) {
              _this.position.addX(_this.pa.position.sub(_this.position).normalizeX(10));
              if (_this.dist(_this.pa)<10) {
                _this.position.set(_this.pa.position);
                _this.reting=false;
                
              }
              
            } else {
              _this.position.set(_this.pa.position);
              
            }
          }
          if ((_this.shotting||_this.reting)) {
            _it_3=Tonyu.iterator(_this.all(Tonyu.classes.user.Fish),1);
            while(_it_3.next()) {
              _this.f=_it_3[0];
              
              if (_this.f.age%10!==0) {
                continue;
                
              }
              _this.d = _this.dist(_this.f);
              
              if (_this.d<100) {
                Tonyu.globals.$voice.play(_this.lr,_this.d);
                _this.f.flash(_this.d);
                
              }
              
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Ear_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_3;
        
        _this.lr=(_this.p-(Tonyu.globals.$pat_nekoear+1));
        
        _thread.enter(function _trc_Ear_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (_this.shotting) {
                _this.shotting--;
                _this.y-=10;
                _this.x-=(_this.lr?- 6:6);
                if (! _this.shotting) {
                  _this.reting=true;
                }
                
              } else {
                if (_this.reting) {
                  _this.position.addX(_this.pa.position.sub(_this.position).normalizeX(10));
                  if (_this.dist(_this.pa)<10) {
                    _this.position.set(_this.pa.position);
                    _this.reting=false;
                    
                  }
                  
                } else {
                  _this.position.set(_this.pa.position);
                  
                }
              }
              if (!((_this.shotting||_this.reting))) { __pc=2     ; break; }
              _it_3=Tonyu.iterator(_this.all(Tonyu.classes.user.Fish),1);
              while(_it_3.next()) {
                _this.f=_it_3[0];
                
                if (_this.f.age%10!==0) {
                  continue;
                  
                }
                _this.d = _this.dist(_this.f);
                
                if (_this.d<100) {
                  Tonyu.globals.$voice.play(_this.lr,_this.d);
                  _this.f.flash(_this.d);
                  
                }
                
              }
            case 2     :
              
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=1;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      shot :function _trc_Ear_shot() {
        "use strict";
        var _this=this;
        
        if (_this.shotting||_this.reting) {
          return _this;
        }
        _this.shotting=30;
      },
      fiber$shot :function _trc_Ear_f_shot(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.shotting||_this.reting) {
          _thread.retVal=_this;return;
          
        }
        _this.shotting=30;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"shot":{"nowait":false}},"fields":{"f":{},"d":{},"lr":{},"shotting":{},"reting":{},"pa":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Fish',
  shortName: 'Fish',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Fish_main() {
        "use strict";
        var _this=this;
        
        _this.age=0;
        _this.alpha=0;
        while (! _this.screenOut()) {
          Tonyu.checkLoop();
          _this.y+=2;
          _this.rotation+=2;
          _this.alpha=_this.clamp(_this.alpha-2,0,255);
          if (_this.got) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_umai,64);
            _this.alpha=255;
            _this.i=0;for (; _this.i<20 ; _this.i++) {
              Tonyu.checkLoop();
              {
                _this.y-=4;
                _this.update();
              }
            }
            _this.updateEx(20);
            _this.die();
            
          }
          _this.age++;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_Fish_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.age=0;
        _this.alpha=0;
        
        _thread.enter(function _trc_Fish_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! _this.screenOut())) { __pc=9     ; break; }
              _this.y+=2;
              _this.rotation+=2;
              _this.alpha=_this.clamp(_this.alpha-2,0,255);
              if (!(_this.got)) { __pc=7     ; break; }
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_umai,64);
              _this.alpha=255;
              _this.i=0;
            case 2:
              if (!(_this.i<20)) { __pc=5     ; break; }
              _this.y-=4;
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
            case 4     :
              _this.i++;
              __pc=2;break;
            case 5     :
              
              _this.fiber$updateEx(_thread, 20);
              __pc=6;return;
            case 6:
              
              _this.die();
            case 7     :
              
              _this.age++;
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
              __pc=1;break;
            case 9     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      flash :function _trc_Fish_flash(d) {
        "use strict";
        var _this=this;
        
        if (Tonyu.globals.$practice) {
          _this.alpha+=2560/d;
        }
      },
      fiber$flash :function _trc_Fish_f_flash(_thread,d) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (Tonyu.globals.$practice) {
          _this.alpha+=2560/d;
        }
        
        _thread.retVal=_this;return;
      },
      get :function _trc_Fish_get() {
        "use strict";
        var _this=this;
        
        if (_this.got) {
          return _this;
        }
        Tonyu.globals.$score++;
        _this.got=1;
      },
      fiber$get :function _trc_Fish_f_get(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.got) {
          _thread.retVal=_this;return;
          
        }
        Tonyu.globals.$score++;
        _this.got=1;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"flash":{"nowait":false},"get":{"nowait":false}},"fields":{"age":{},"got":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$voice=new Tonyu.classes.user.Voice;
        new Tonyu.classes.user.Neko({x: 230,y: 400,scaleX: 3});
        Tonyu.globals.$score=0;
        Tonyu.globals.$practice=true;
        Tonyu.globals.$time=60;
        _this.tt=Tonyu.globals.$time*60;
        new Tonyu.classes.kernel.Label({x: 230,y: 100,template: "Score:$score   Time:$time"});
        Tonyu.globals.$me=new Tonyu.classes.kernel.Label({x: 230,y: 20,text: "耳を飛ばして魚のある場所を見つけよう"});
        while (true) {
          Tonyu.checkLoop();
          if (_this.rnd(100)==0||_this.all(Tonyu.classes.user.Fish).length==0) {
            new Tonyu.classes.user.Fish({x: _this.rnd(Tonyu.globals.$screenWidth),y: 0,p: Tonyu.globals.$pat_neko+40+_this.rnd(4)});
            
          }
          if (Tonyu.globals.$score>=10&&Tonyu.globals.$practice) {
            Tonyu.globals.$me.text="あとは本当に音だけでがんばれ";
            Tonyu.globals.$practice=false;
            
          }
          _this.tt--;
          Tonyu.globals.$time=_this.floor(_this.tt/60);
          if (_this.tt<=0) {
            break;
            
          }
          _this.update();
          
        }
        _this.all(Tonyu.classes.user.Fish).die();
        Tonyu.globals.$mesg="【とうめいさかな】Score="+Tonyu.globals.$score;
        Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=833&";
        new Tonyu.classes.kernel.Label({x: 230,y: 200,text: "Score="+Tonyu.globals.$score,size: 30});
        new Tonyu.classes.kernel.Button({fillStyle: "cyan",top: 250,text: "Replay",onClick: (function anonymous_803() {
          
          _this.loadPage(Tonyu.classes.user.Main);
        })});
        new Tonyu.classes.kernel.Button({fillStyle: "cyan",top: 300,text: "TWEET",onClick: Tonyu.bindFunc(_this,_this.tweet)});
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$voice=new Tonyu.classes.user.Voice;
        new Tonyu.classes.user.Neko({x: 230,y: 400,scaleX: 3});
        Tonyu.globals.$score=0;
        Tonyu.globals.$practice=true;
        Tonyu.globals.$time=60;
        _this.tt=Tonyu.globals.$time*60;
        new Tonyu.classes.kernel.Label({x: 230,y: 100,template: "Score:$score   Time:$time"});
        Tonyu.globals.$me=new Tonyu.classes.kernel.Label({x: 230,y: 20,text: "耳を飛ばして魚のある場所を見つけよう"});
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (_this.rnd(100)==0||_this.all(Tonyu.classes.user.Fish).length==0) {
                new Tonyu.classes.user.Fish({x: _this.rnd(Tonyu.globals.$screenWidth),y: 0,p: Tonyu.globals.$pat_neko+40+_this.rnd(4)});
                
              }
              if (Tonyu.globals.$score>=10&&Tonyu.globals.$practice) {
                Tonyu.globals.$me.text="あとは本当に音だけでがんばれ";
                Tonyu.globals.$practice=false;
                
              }
              _this.tt--;
              Tonyu.globals.$time=_this.floor(_this.tt/60);
              if (!(_this.tt<=0)) { __pc=2     ; break; }
              __pc=4     ; break;
              
            case 2     :
              
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=1;break;
            case 4     :
              
              _this.all(Tonyu.classes.user.Fish).die();
              Tonyu.globals.$mesg="【とうめいさかな】Score="+Tonyu.globals.$score;
              Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=833&";
              new Tonyu.classes.kernel.Label({x: 230,y: 200,text: "Score="+Tonyu.globals.$score,size: 30});
              new Tonyu.classes.kernel.Button({fillStyle: "cyan",top: 250,text: "Replay",onClick: (function anonymous_803() {
                
                _this.loadPage(Tonyu.classes.user.Main);
              })});
              new Tonyu.classes.kernel.Button({fillStyle: "cyan",top: 300,text: "TWEET",onClick: Tonyu.bindFunc(_this,_this.tweet)});
              _thread.exit(_this);return;
            }
          }
        });
      },
      tweet :function _trc_Main_tweet() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
      },
      fiber$tweet :function _trc_Main_f_tweet(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"tweet":{"nowait":false}},"fields":{"tt":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Neko',
  shortName: 'Neko',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Neko_main() {
        "use strict";
        var _this=this;
        
        _this.crashScale=0.8;
        _this.p=Tonyu.globals.$pat_nekoear;
        _this.le=new Tonyu.classes.user.Ear({x: _this.x-0,y: _this.y-0,p: Tonyu.globals.$pat_nekoear+1,scaleX: _this.scaleX,pa: _this});
        _this.re=new Tonyu.classes.user.Ear({x: _this.x+0,y: _this.y-0,p: Tonyu.globals.$pat_nekoear+2,scaleX: _this.scaleX,pa: _this});
        _this.a=new Tonyu.classes.kernel.APad;
        _this.leb=new Tonyu.classes.kernel.Button({key: "z",left: 100,top: 50,width: 100,height: 30,text: "左耳(Z)",onClick: (function anonymous_245() {
          
          _this.le.shot();
        })});
        _this.reb=new Tonyu.classes.kernel.Button({key: "x",left: 300,top: 50,width: 100,height: 30,text: "右耳(X)",onClick: (function anonymous_352() {
          
          _this.re.shot();
        })});
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.a.vx*3;
          _this.f=(_this.crashTo(Tonyu.classes.user.Fish));
          if (_this.f) {
            _this.f.get();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Neko_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.crashScale=0.8;
        _this.p=Tonyu.globals.$pat_nekoear;
        _this.le=new Tonyu.classes.user.Ear({x: _this.x-0,y: _this.y-0,p: Tonyu.globals.$pat_nekoear+1,scaleX: _this.scaleX,pa: _this});
        _this.re=new Tonyu.classes.user.Ear({x: _this.x+0,y: _this.y-0,p: Tonyu.globals.$pat_nekoear+2,scaleX: _this.scaleX,pa: _this});
        _this.a=new Tonyu.classes.kernel.APad;
        _this.leb=new Tonyu.classes.kernel.Button({key: "z",left: 100,top: 50,width: 100,height: 30,text: "左耳(Z)",onClick: (function anonymous_245() {
          
          _this.le.shot();
        })});
        _this.reb=new Tonyu.classes.kernel.Button({key: "x",left: 300,top: 50,width: 100,height: 30,text: "右耳(X)",onClick: (function anonymous_352() {
          
          _this.re.shot();
        })});
        
        _thread.enter(function _trc_Neko_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.a.vx*3;
              _this.f=(_this.crashTo(Tonyu.classes.user.Fish));
              if (_this.f) {
                _this.f.get();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"le":{},"re":{},"a":{},"leb":{},"reb":{},"f":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Voice',
  shortName: 'Voice',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Voice_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Voice_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      play :function _trc_Voice_play(lr,dist) {
        "use strict";
        var _this=this;
        
        if (lr==0) {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_sakana,_this.clamp(128/(dist/10),0,128),- 1,1,0.2);
          
        } else {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_fish,_this.clamp(128/(dist/10),0,128),1,1,0.2);
          
        }
      },
      fiber$play :function _trc_Voice_f_play(_thread,lr,dist) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (lr==0) {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_sakana,_this.clamp(128/(dist/10),0,128),- 1,1,0.2);
          
        } else {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_fish,_this.clamp(128/(dist/10),0,128),1,1,0.2);
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"play":{"nowait":false}},"fields":{}}
});

//# sourceMappingURL=concat.js.map